## okular 4.11.2

=== debian/changelog ===
okular (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 14:51:35 +0100

okular (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 06 Sep 2013 22:38:10 +0100

okular (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Aug 2013 00:40:45 +0100

okular (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 20:01:52 +0100

okular (4:4.10.95-0ubuntu1) saucy; urgency=low

  * New upstream RC release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 19 Jul 2013 12:33:30 +0000

okular (4:4.10.90-0ubuntu1) saucy; urgency=low

  [ Michał Zając ]
  * New upstream beta release

  [ Howard Chan ]
  * Fix the symbols file for libokularcore3.

 -- Howard Chan <smartboyhw@gmail.com>  Fri, 28 Jun 2013 18:29:25 +0100

okular (4:4.10.80-0ubuntu1) saucy; urgency=low

  [ Rohan Garg ]
  * New upstream release
 
  [ Howard Chan ]
  * Fix okularcore to new SOVERSION along with symbols and install  
    file changes.
  * Fixed some install files.
  * Updated the control file to enable the new SOVERSION. 

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 21 Jun 2013 01:47:10 +0100

okular (4:4.10.4-0ubuntu1) saucy-proposed; urgency=low

  [ Rohan Garg ]
  * New upstream bugfix release

  [ Jonathan Riddell ]
  * Add build-depends on plasma-active-dev and plasma-widgets-active

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 07 Jun 2013 00:49:29 +0100

okular (4:4.10.3-0ubuntu2) saucy; urgency=low

  * Update symbols files for arm

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 30 May 2013 12:26:07 +0100

okular (4:4.10.3-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Merge with Debian, remaining changes:
   - Add enable_debianabimanager.diff
   - Make libokularcore2 abi1
   - Build-dep on libtiff5-dev instead of 4

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 08 May 2013 16:10:58 +0000

okular (4:4.10.2-1) experimental; urgency=low

  * Team upload.
  * New upstream release.

  [ Maximiliano Curia ]
  * New library version libokularcore.so.2.
    - Rename library package to libokularcore2.
    - Add new symbols file.
  * Add okular manpage.
  * Add libkactivities-dev as a build-dep.
  * Update debian/copyright file.
  * Add new headers to okular-dev.
  * Bump Standards-Version to 3.9.4. No further changes.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 04 Apr 2013 12:43:20 +0200
