## okular 4.11.5

=== debian/changelog ===
okular (4:4.11.5-0ubuntu0.1) saucy; urgency=medium

  * New upstream bugfix release (LP: #1266285)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 16 Jan 2014 14:52:55 +0100

okular (4:4.11.3-0ubuntu0.1) saucy; urgency=low

  * New upstream bugfix release (LP: #1247235)
  * Add new documentation pictures to okular.install

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 29 Nov 2013 16:11:14 +0000
