=== generators/spectre/conf/CMakeLists.txt ===

install(FILES gssettings.kcfg DESTINATION ${KCFG_INSTALL_DIR})
