=== debian/changelog ===
okular (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 22:25:28 +0100

okular (4:4.12.97-0ubuntu2) trusty; urgency=medium

  [ Philip Muškovac ]
  * New upstream release candidate

  [ Jonathan Riddell ]
  * Rename librery to libokularcore4 for upstream soversion change

  [ Rohan Garg ]
  * Make sure everything depends on the right lib
    - libokularcore3abi1 -> libokularcore4

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 02 Apr 2014 11:53:28 +0200

okular (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 12:52:27 +0100

okular (4:4.12.90-0ubuntu3) trusty; urgency=medium

  * Update symbols

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 20 Mar 2014 10:25:40 +0000

okular (4:4.12.90-0ubuntu2) trusty; urgency=medium

  * Update symbols

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 20 Mar 2014 09:44:01 +0000

okular (4:4.12.90-0ubuntu1) trusty; urgency=medium

  [ Jonathan Riddell ]
  * new upstream alpha release

  [ Philip Muškovac ]
  * Bump ABI of libokularcore3 to 1 and update install and symbols file 
  * Build-depend on libkscreen-dev 

  [ Jonathan Riddell ]
  * Add build-dep on libqjson-dev
  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 11:59:47 +0000

okular (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 21:13:56 +0100

okular (4:4.12.2-0ubuntu2) trusty; urgency=medium

  * Update symbols file

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 12 Feb 2014 15:57:38 +0000

okular (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 05 Feb 2014 00:24:51 +0000

okular (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 08:38:24 +0000

okular (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 17:41:01 +0000

okular (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 13:39:53 +0000

okular (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 18:35:46 +0100

okular (4:4.11.80-0ubuntu1) trusty; urgency=low

  [ Rohan Garg ]
  * New upstream beta release

  [ Jonathan Riddell ]
  * Add build-dependency on libqmobipocket-dev and libkexiv2-dev
  * okular breaks/replaces old kdegraphics-mobipocket

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 17:56:57 +0100
