=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
  Maximiliano Curia <maxy@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.14),
- kdelibs5-dev (>= 4:4.11.5),
+ kdelibs5-dev (>= 4:4.13.0),
  pkg-config,
- libkactivities-dev (>= 4:4.11.3),
+ libkactivities-dev (>= 4:4.13.0),
  libdjvulibre-dev,
  libepub-dev,
  libpoppler-qt4-dev (>= 0.8.0),
@@ -23,16 +23,19 @@
  libfreetype6-dev,
  zlib1g-dev,
  plasma-active-dev,
- plasma-widgets-active
+ plasma-widgets-active,
+ libqmobipocket-dev (>= 4:4.13.0),
+ libkexiv2-dev (>= 4:4.13.0),
+ libkscreen-dev,
+ libqjson-dev
 Standards-Version: 3.9.4
 Homepage: http://www.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/okular-13.10
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/okular-13.10
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/okular
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/okular
 X-Vcs-Debian-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/okular.git
 X-Vcs-Debian-Git: git://git.debian.org/pkg-kde/kde-sc/okular.git
 
-Package: libokularcore3
-X-Debian-ABI: 0
+Package: libokularcore4
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -44,9 +47,11 @@
 Package: okular
 Section: graphics
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libokularcore3 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libokularcore4 (= ${binary:Version})
 Suggests: okular-extra-backends (= ${binary:Version}), texlive-binaries, unrar, poppler-data, ghostscript, jovie
 Provides: pdf-viewer, postscript-viewer
+Breaks: kdegraphics-mobipocket (<< 4:4.11.80)
+Replaces: kdegraphics-mobipocket (<< 4:4.11.80)
 Description: universal document viewer
  Okular is a universal document viewer with support for advanced document
  features, such as annotations, forms, and embedded files.
@@ -66,8 +71,8 @@
 Package: okular-dev
 Section: libdevel
 Architecture: any
-Depends: libokularcore3 (= ${binary:Version}), ${misc:Depends},
- ${sameVersionDep:kdelibs5-dev:libokularcore3}
+Depends: libokularcore4 (= ${binary:Version}), ${misc:Depends},
+ ${sameVersionDep:kdelibs5-dev:libokularcore4}
 Description: development files for the Okular libraries
  This package contains development files for building Okular document format
  backends.
@@ -91,7 +96,7 @@
 Package: active-documentviewer
 Section: graphics
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libokularcore3 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libokularcore4 (= ${binary:Version})
 Suggests: okular-extra-backends (= ${binary:Version}), texlive-binaries, unrar, poppler-data, ghostscript, jovie
 Provides: pdf-viewer, postscript-viewer
 Description: universal document viewer for Plasma Active
