=== ui/CMakeLists.txt ===
add_subdirectory( data )
