=== generators/epub/data/CMakeLists.txt ===
 
install(FILES
  okular-epub-sound-icon.png
  okular-epub-movie.png
  DESTINATION ${DATA_INSTALL_DIR}/okular/pics)
