=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
  Maximiliano Curia <maxy@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.14),
- kdelibs5-dev (>= 4:4.13.0),
+ kdelibs5-dev (>= 4:4.13.3),
  pkg-config,
- libkactivities-dev (>= 4:4.13.0),
+ libkactivities-dev (>= 4:4.13.3),
  libdjvulibre-dev,
  libepub-dev,
  libpoppler-qt4-dev (>= 0.8.0),
