## okular 4.14.1

=== debian/changelog ===
okular (4:4.14.1-0ubuntu2) utopic; urgency=medium

  * Add kubuntu_no-failing-test.diff to ignore failing test

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 29 Sep 2014 19:32:46 +0200

okular (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Removing support for plasma-active as it doees not exist in Utopic. 
  * Move leftover plasma-active files to not-installed
  * Add missing icons to install file. 

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 17:51:44 +0200

okular (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * Remove no_xrandr_support_on_xvfb.patch unneeded with libkscreen
    1.0.5
  * New upstream release
  * libokularcore4 now libokularcore5

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 13:36:21 +0200

okular (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 17:27:31 +0200

okular (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 18:52:09 +0200

okular (4:4.13.90-0ubuntu1) utopic; urgency=medium

  * New upstream beta release
  * Removed version from libkactivities-dev depend as it was not updated.
  * Patch symbols with batchpatch

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 17 Jul 2014 16:17:06 -0700

okular (4:4.13.2-0ubuntu1) utopic; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 12:08:49 +0100

okular (4:4.13.1-2ubuntu1) utopic; urgency=medium

  * Merge with Debian, remaining changes
    - Build with plasma-active
    - Build with libtiff5-dev

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 06 Jun 2014 13:30:52 +0200

okular (4:4.13.1-2) unstable; urgency=medium

  * Update symbols files with 4:4.13.1-1 build logs.
  * Release to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 05 Jun 2014 10:39:27 +0200

okular (4:4.13.1-1) experimental; urgency=medium

  * New upstream release.
  * Update build dependencies.
  * Follow upstream soversion bump of okularcore.
  * New patch: no_xrandr_support_on_xvfb.patch

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 May 2014 11:31:34 +0200

okular (4:4.12.4-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:23:49 +0200

okular (4:4.12.3-1) experimental; urgency=medium

  * New upstream release.
  * Add breaks kdegraphics-mobipocket prior 4:4.12. (Closes: #739112)
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 04 Mar 2014 00:05:31 +0100

okular (4:4.12.2-1) experimental; urgency=medium

  * New upstream release.
  * Update build dependencies.
  * Update install files.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:31:31 +0100

okular (4:4.11.5-1) unstable; urgency=low

  * New upstream release.
  * Add autopkgtests.
  * Bump Standards-Version to 3.9.5, no changes needed.
  * Add abi-compliance-checker info.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 23 Jan 2014 19:28:18 -0300

okular (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 09 Nov 2013 12:38:21 +0100

okular (4:4.11.2-1) experimental; urgency=low

  * New upstream release.
  * Bump lib package soname.
  * Update install files.
  * Add symbols file for libokularcore3.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 08 Oct 2013 12:14:44 +0200

okular (4:4.10.5-1) unstable; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 12 Jul 2013 12:58:12 +0200

okular (4:4.10.4-1) experimental; urgency=low

  * New upstream release.

  [ Pino Toscano ]
  * Switch libtiff4-dev build dependency to libtiff-dev.

  [ Maximiliano Curia ]
  * Bump debhelper build-dep and compat to 9.
  * Update vcs fields.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 14 Jun 2013 13:58:51 +0200
