=== shell/CMakeLists.txt ===
--- 
+++ 
@@ -17,6 +17,7 @@
 
 set(okular_SRCS
    main.cpp
+   okular_main.cpp
    shell.cpp
    shellutils.cpp
 )
